Bug 249893 - iwl3945 hangs system when trying to unload kernel driver module
iwl3945 hangs system when trying to unload kernel driver module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-27 14:10 EDT by NILMONI DEB
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-02 14:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-27 14:10:21 EDT
Description of problem:
Since my wireless connection is not working properly, I decided to unload the 
driver using "modprobe -vr iwl3945". The system started to issue console 
messages (since the driver module was being used) about waiting for the driver 
to be freed. These messages kept popping up at every terminal and system load 
went up to higher than 7 (on a 1-CPU laptop). At this point I tried to 
run "/etc/init.d/network stop" and that got hung too. Even after manually 
killing some processes, the runaway system load continued to escalate. The 
only choice was to reboot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to unload (using modprobe) a wireless kernel driver module when its 
being used
Actual results:
System goes runaway with escalating load and reboot is the only way out.

Expected results:
If a kernel module is being used, "modprobe -r" should simply return after 
reporting failure to unload the module. The system should not go runaway 

Additional info:
Comment 1 John W. Linville 2007-07-30 14:08:30 EDT
Please try this kernel:


Does this exhibit the same problem?
Comment 2 NILMONI DEB 2007-07-31 13:32:17 EDT
With kernel, things went smoothly ->

$ modprobe -vr iwl3945
rmmod /lib/modules/
rmmod /lib/modules/
rmmod /lib/modules/

Note You need to log in before you can comment on or make changes to this bug.